Bug 182805 - graphics/sam2p: Update to version 0.49.2
Summary: graphics/sam2p: Update to version 0.49.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-07 19:10 UTC by tkato432
Modified: 2013-10-11 21:00 UTC (History)
0 users

See Also:


Attachments
file.diff (2.08 KB, patch)
2013-10-07 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-10-07 19:10:02 UTC
- Update to version 0.49.2
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-10-09 15:16:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-10-11 20:59:34 UTC
Author: danilo
Date: Fri Oct 11 19:59:27 2013
New Revision: 330098
URL: http://svnweb.freebsd.org/changeset/ports/330098

Log:
  - Update from 0.49.1 to 0.49.2
  - Convert USE_GMAKE to USES
  - Add stage support
  
  PR:		ports/182805
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>
  Approved by:	wg/culot (mentors, implicit)

Modified:
  head/graphics/sam2p/Makefile
  head/graphics/sam2p/distinfo

Modified: head/graphics/sam2p/Makefile
==============================================================================
--- head/graphics/sam2p/Makefile	Fri Oct 11 18:50:18 2013	(r330097)
+++ head/graphics/sam2p/Makefile	Fri Oct 11 19:59:27 2013	(r330098)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	sam2p
-PORTVERSION=	0.49.1
-PORTREVISION=	1
+PORTVERSION=	0.49.2
 PORTEPOCH=	1
 CATEGORIES=	graphics
 MASTER_SITES=	GOOGLE_CODE
@@ -17,31 +16,29 @@ RUN_DEPENDS=	zip:${PORTSDIR}/archivers/z
 		cjpeg:${PORTSDIR}/graphics/jpeg \
 		tif22pnm:${PORTSDIR}/graphics/tif22pnm
 
-USES=		perl5
+OPTIONS_DEFINE=	DOCS EXAMPLES
+
+USES=		gmake perl5
 USE_PERL5=	build
+USE_GCC=	any
 USE_GHOSTSCRIPT_RUN=	yes
-USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	ac_cv_path_pts_bash="${SH}"
-MAKE_ARGS=	CXXX="${CXX}" LDALL="${CXX}" CXXFLAGSB="${CXXFLAGS}"
+CONFIGURE_ARGS=	--enable-gif
+MAKE_ARGS=	CXXX="${CXX}" LDALL="${CXX}" CXXFLAGSB="${CXXFLAGS}" CC=${CC} CXX=${CXX}
 ALL_TARGET=	${PORTNAME}
 
-PORTDOCS=	README
+PORTDOCS=	*
 PORTEXAMPLES=	*
 PLIST_FILES=	bin/${PORTNAME}
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin/
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
-.endif
-.if ${PORT_OPTIONS:MEXAMPLES}
-	@${MKDIR} ${EXAMPLESDIR}
-	@cd ${WRKSRC}/examples && ${COPYTREE_SHARE} \* ${EXAMPLESDIR}
-.endif
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} ${PORTNAME} \
+		${STAGEDIR}${PREFIX}/bin)
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} README ${STAGEDIR}${DOCSDIR})
+	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+	@(cd ${WRKSRC}/examples && ${COPYTREE_SHARE} . \
+		${STAGEDIR}${EXAMPLESDIR})
 
 .include <bsd.port.mk>

Modified: head/graphics/sam2p/distinfo
==============================================================================
--- head/graphics/sam2p/distinfo	Fri Oct 11 18:50:18 2013	(r330097)
+++ head/graphics/sam2p/distinfo	Fri Oct 11 19:59:27 2013	(r330098)
@@ -1,2 +1,2 @@
-SHA256 (sam2p-0.49.1.tar.gz) = d97a270e3ad4ad138378b5fcb10e489e9af48a8150f308458771808dfceb069a
-SIZE (sam2p-0.49.1.tar.gz) = 562304
+SHA256 (sam2p-0.49.2.tar.gz) = 0e75d94bed380f8d8bd629f7797a0ca533b5d0b40eba2dab339146dedc1f79bf
+SIZE (sam2p-0.49.2.tar.gz) = 562733
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Danilo Egea Gondolfo freebsd_committer 2013-10-11 20:59:57 UTC
State Changed
From-To: open->closed

Committed. Thanks!